Subject: Re: Python extension commands in git - request for policy change

From: Joshua Jensen <[email-masked]>
Date: Tue, 27 Nov 2012 22:08:24 -0700

----- Original Message -----
From: Michael Haggerty
Date: 11/25/2012 3:44 AM
> * Startup time: Is the time to start the "X" interpreter prohibitive?
>    (On my computer, "python -c pass", which starts the Python
>    interpreter and does nothing, takes about 24ms.)  This overhead would
>    be incurred by every command that is not pure C.
FWIW, on Windows 7 running on a Core i7 1.6GHz quad core processor, a 
cold run of "python -c pass" after a reboot results in 0.74 seconds.  
The second run takes 0.13 seconds.

Because Lua was mentioned in another message of this thread, I'll 
provide the following:

* A cold run of 'lua5.1 -e ""' takes 0.4 seconds.  The second run takes 
0.03 seconds.
* A cold run of LuaJIT takes the same.

-Josh